## org.hornetq.rest.queue
Class DestinationServiceManager

    java.lang.Object
      org.hornetq.rest.queue.DestinationServiceManager

Direct Known Subclasses:
  QueueServiceManager, TopicServiceManager

    public abstract class DestinationServiceManager

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected org.hornetq.api.core.client.ServerLocator` `consumerServerLocator`
`protected org.hornetq.api.core.client.ClientSessionFactory` `consumerSessionFactory`
`protected DestinationSettings` `defaultSettings`
`protected LinkStrategy` `linkStrategy`
`protected org.hornetq.api.core.client.ServerLocator` `locator`
`protected int` `producerPoolSize`
`protected java.lang.String` `pushStoreFile`
`protected org.hornetq.spi.core.naming.BindingRegistry` `registry`
`protected org.hornetq.api.core.client.ClientSessionFactory` `sessionFactory`
`protected boolean` `started`
`protected TimeoutTask` `timeoutTask`

Constructor Summary
`DestinationServiceManager()`

Method Summary
`org.hornetq.api.core.client.ServerLocator` `getConsumerServerLocator()`
`org.hornetq.api.core.client.ClientSessionFactory` `getConsumerSessionFactory()`
`DestinationSettings` `getDefaultSettings()`
`LinkStrategy` `getLinkStrategy()`
`int` `getProducerPoolSize()`
`java.lang.String` `getPushStoreFile()`
`org.hornetq.spi.core.naming.BindingRegistry` `getRegistry()`
`org.hornetq.api.core.client.ServerLocator` `getServerLocator()`
`org.hornetq.api.core.client.ClientSessionFactory` `getSessionFactory()`
`TimeoutTask` `getTimeoutTask()`
`protected void` `initDefaults()`
`void` `setConsumerServerLocator(org.hornetq.api.core.client.ServerLocator consumerServerLocator)`
`void` `setConsumerSessionFactory(org.hornetq.api.core.client.ClientSessionFactory consumerSessionFactory)`
`void` `setDefaultSettings(DestinationSettings defaultSettings)`
`void` `setLinkStrategy(LinkStrategy linkStrategy)`
`void` `setProducerPoolSize(int producerPoolSize)`
`void` `setPushStoreFile(java.lang.String pushStoreFile)`
`void` `setRegistry(org.hornetq.spi.core.naming.BindingRegistry registry)`
`void` `setServerLocator(org.hornetq.api.core.client.ServerLocator locator)`
`void` `setSessionFactory(org.hornetq.api.core.client.ClientSessionFactory sessionFactory)`
`void` `setTimeoutTask(TimeoutTask timeoutTask)`
`abstract void` `start()`
`abstract void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locator

    protected org.hornetq.api.core.client.ServerLocator locator

### sessionFactory

    protected org.hornetq.api.core.client.ClientSessionFactory sessionFactory

### consumerServerLocator

    protected org.hornetq.api.core.client.ServerLocator consumerServerLocator

### consumerSessionFactory

    protected org.hornetq.api.core.client.ClientSessionFactory consumerSessionFactory

### started

    protected boolean started

### pushStoreFile

    protected java.lang.String pushStoreFile

### defaultSettings

    protected DestinationSettings defaultSettings

### timeoutTask

    protected TimeoutTask timeoutTask

### producerPoolSize

    protected int producerPoolSize

### linkStrategy

    protected LinkStrategy linkStrategy

### registry

    protected org.hornetq.spi.core.naming.BindingRegistry registry

Constructor Detail

### DestinationServiceManager

    public DestinationServiceManager()

Method Detail

### getRegistry

    public org.hornetq.spi.core.naming.BindingRegistry getRegistry()

### setRegistry

    public void setRegistry(org.hornetq.spi.core.naming.BindingRegistry registry)

### getLinkStrategy

    public LinkStrategy getLinkStrategy()

### setLinkStrategy

    public void setLinkStrategy(LinkStrategy linkStrategy)

### getProducerPoolSize

    public int getProducerPoolSize()

### setProducerPoolSize

    public void setProducerPoolSize(int producerPoolSize)

### getConsumerSessionFactory

    public org.hornetq.api.core.client.ClientSessionFactory getConsumerSessionFactory()

### setConsumerSessionFactory

    public void setConsumerSessionFactory(org.hornetq.api.core.client.ClientSessionFactory consumerSessionFactory)

### getConsumerServerLocator

    public org.hornetq.api.core.client.ServerLocator getConsumerServerLocator()

  Returns:
    the consumerServerLocator

### setConsumerServerLocator

    public void setConsumerServerLocator(org.hornetq.api.core.client.ServerLocator consumerServerLocator)

  Parameters:
    `consumerServerLocator` - the consumerServerLocator to set

### getTimeoutTask

    public TimeoutTask getTimeoutTask()

### setTimeoutTask

    public void setTimeoutTask(TimeoutTask timeoutTask)

### getDefaultSettings

    public DestinationSettings getDefaultSettings()

### setDefaultSettings

    public void setDefaultSettings(DestinationSettings defaultSettings)

### getServerLocator

    public org.hornetq.api.core.client.ServerLocator getServerLocator()

### setServerLocator

    public void setServerLocator(org.hornetq.api.core.client.ServerLocator locator)

### getSessionFactory

    public org.hornetq.api.core.client.ClientSessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(org.hornetq.api.core.client.ClientSessionFactory sessionFactory)

### getPushStoreFile

    public java.lang.String getPushStoreFile()

### setPushStoreFile

    public void setPushStoreFile(java.lang.String pushStoreFile)

### initDefaults

    protected void initDefaults()

### start

    public abstract void start()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public abstract void stop()

Copyright © 2013. All Rights Reserved.